MiniMax-H3
MiniMax’s omni-modal audio-video generation system unifies text, image, video, and audio context to create videos up to 15 seconds at 2K with native stereo sound for advertising, e-commerce, and film production.
curl --request POST \
--url https://api.linkmodel.ai/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"model": "MiniMax-H3",
"first_frame_image": "<string>",
"last_frame_image": "<string>",
"images": [
"<string>"
],
"videos": [
"<string>"
],
"audio_url": "<string>",
"audios": [
"<string>"
],
"duration": 5,
"resolution": "768P",
"size": "16x9"
}
'import requests
url = "https://api.linkmodel.ai/v1/videos/generations"
payload = {
"prompt": "<string>",
"model": "MiniMax-H3",
"first_frame_image": "<string>",
"last_frame_image": "<string>",
"images": ["<string>"],
"videos": ["<string>"],
"audio_url": "<string>",
"audios": ["<string>"],
"duration": 5,
"resolution": "768P",
"size": "16x9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
model: 'MiniMax-H3',
first_frame_image: '<string>',
last_frame_image: '<string>',
images: ['<string>'],
videos: ['<string>'],
audio_url: '<string>',
audios: ['<string>'],
duration: 5,
resolution: '768P',
size: '16x9'
})
};
fetch('https://api.linkmodel.ai/v1/videos/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"task_id": "aurora_abc123",
"order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
"status": "Processing",
"price": 0.074
},
"msg": "success",
"request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}{
"code": 400,
"msg": "task_id is required",
"request_id": "96be7a7d-3e81-4916-a6b8-19b32773a693"
}{
"code": 401,
"data": {},
"msg": "invalid api key",
"request_id": "bff4c295-c7da-4507-9708-4627cb6373ba"
}{
"code": 500,
"msg": "create task failed: billing: code=100601: insufficient balance",
"request_id": "3409f6fb-fa9a-4534-b530-195b5f6f4e32"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Length must be at least 1.
1MiniMax-H3 Cannot be mixed with reference image, video or audio inputs.
Optional; cannot be mixed with reference image, video or audio inputs.
Up to 9 images; cannot be mixed with first/last frame mode.
9Up to 3 videos.
3Reference audio requires at least one reference image or video.
Up to 3 audio inputs in total; reference audio requires an image or video.
34 to 15 seconds. Defaults to 5. Value is in s.
4 <= x <= 15Must be one of: 2K, 768P. Defaults to 768P.
2K, 768P Text-to-video requires a fixed ratio; adaptive is for requests with visual input. Defaults to 16x9.
16x9, 1x1, 21x9, 3x4, 4x3, 9x16, adaptive Response
Business response. code=0 means the task was accepted; validation failures can return HTTP 200 with code=400.
Was this page helpful?
